--with-secure-path override the user's path with a built-in one
--without-interfaces don't try to read the ip addr of ether interfaces
--with-stow properly handle GNU stow packaging
- --with-askpass=PATH Fully qualified pathname of sudo-askpass
+ --with-askpass=PATH Fully qualified pathname of askpass helper
--with-selinux enable SELinux support
--with-gnu-ld assume the C compiler uses GNU ld [default=no]
--with-pic try to use only PIC/non-PIC objects [default=use
fi
-{ echo "$as_me:$LINENO: checking path to sudo-askpass" >&5
-echo $ECHO_N "checking path to sudo-askpass... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking whether to use an askpass helper" >&5
+echo $ECHO_N "checking whether to use an askpass helper... $ECHO_C" >&6; }
# Check whether --with-askpass was given.
if test "${with_askpass+set}" = set; then
withval=$with_askpass; case $with_askpass in
- yes) with_askpass="$libexecdir/sudo-askpass"
+ yes) { { echo "$as_me:$LINENO: error: \"--with-askpass takes a path as an argument.\"" >&5
+echo "$as_me: error: \"--with-askpass takes a path as an argument.\"" >&2;}
+ { (exit 1); exit 1; }; }
;;
no) ;;
- *) ;;
+ *)
+cat >>confdefs.h <<_ACEOF
+#define _PATH_SUDO_ASKPASS "$with_askpass"
+_ACEOF
+
+ ;;
esac
else
- with_askpass="$libexecdir/sudo-askpass"
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
fi
-{ echo "$as_me:$LINENO: result: $with_askpass" >&5
-echo "${ECHO_T}$with_askpass" >&6; }
-cat >>confdefs.h <<EOF
-#define _PATH_SUDO_ASKPASS "$with_askpass"
-EOF
-
{ echo "$as_me:$LINENO: checking whether to do user authentication by default" >&5
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 6206 "configure"' > conftest.$ac_ext
+ echo '#line 6208 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7750: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7752: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7754: \$? = $ac_status" >&5
+ echo "$as_me:7756: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8040: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8042: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8044: \$? = $ac_status" >&5
+ echo "$as_me:8046: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8144: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8146: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:8148: \$? = $ac_status" >&5
+ echo "$as_me:8150: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10489 "configure"
+#line 10491 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10589 "configure"
+#line 10591 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
;;
esac], AC_MSG_RESULT(no))
-AC_MSG_CHECKING(path to sudo-askpass)
-AC_ARG_WITH(askpass, [ --with-askpass=PATH Fully qualified pathname of sudo-askpass],
+AC_MSG_CHECKING(whether to use an askpass helper)
+AC_ARG_WITH(askpass, [ --with-askpass=PATH Fully qualified pathname of askpass helper],
[case $with_askpass in
- yes) with_askpass="$libexecdir/sudo-askpass"
+ yes) AC_MSG_ERROR(["--with-askpass takes a path as an argument."])
;;
no) ;;
- *) ;;
-esac], [with_askpass="$libexecdir/sudo-askpass"])
-AC_MSG_RESULT($with_askpass)
-SUDO_DEFINE_UNQUOTED(_PATH_SUDO_ASKPASS, "$with_askpass")
+ *) AC_DEFINE_UNQUOTED(_PATH_SUDO_ASKPASS, "$with_askpass", [The fully qualified pathname of askpass])
+ ;;
+esac], AC_MSG_RESULT(no))
dnl
dnl Options for --enable